Subject: bug#17481: Mini bug with option --exclude-dir

From: Paul Eggert <[email-masked]>
Date: Mon, 12 May 2014 13:46:31 -0700

Severity: minor

Thanks for the bug report.  Unfortunately we didn't have enough time to 
get to this before the next grep release, but is a reasonable thing to 
do so I'll resend this to bug-grep so that it gets a proper bug report 
number (we're using a new bug-reporting system).

On 06/06/2013 08:48 AM, Khaled Ziyaeen wrote:
> Hello,
>
> I would like to report a bug in the implementation of the --exclude-dir
> option in GNU grep 2.10 version.
>
> If running > grep --exclude-dir "/hdd1/lib/udev/devices/" -r eads /hdd1
>
> It will still examine /hdd1/lib/udev/devices.
>
> However, if running > grep --exclude-dir "/hdd1/lib/udev/devices" -r eads
> /hdd1
>
> Then, that folder I wanted to include is actually ignored. I think that the
> extra slash at the end, while unnecessary, must not break down the
> ---exclude-dir feature.
>
> Happy to help fix the bug!
>
> Best,
>
> Khaled.